# Enum ReportType

java.lang.Object
java.lang.Enum<ReportType>
uk.ac.starlink.ttools.taplint.ReportType

All Implemented Interfaces:
  `Serializable, Comparable<ReportType>, java.lang.constant.Constable`

public enum ReportType extends Enum<ReportType>
Message types for use with a reporter.

Since:
  29 Jun 2011
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ERROR`
Compliance error.
`FAILURE`
Unable to perform test (internal error or missing precondition).
`INFO`
Information about validator progress.
`SUMMARY`
Summary of previous reports.
`WARNING`
Questionable or non-Recommended behaviour.

## Method Summary

Modifier and Type
Method
Description
`static ReportType`
`forChar(char chr)`
Returns the type instance corresponding to a given character.
`char`
`getChar()`
Returns the single-character identifier for this type.
`String`
`getDescription()`
Returns the description text for this type.
`String`
`getName()`
Returns the human-readable name.
`String`
`getNames()`
Returns plural of human-readable name.
`static ReportType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ReportType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ERROR

public static final ReportType ERROR
Compliance error.

### WARNING

public static final ReportType WARNING
Questionable or non-Recommended behaviour.

### INFO

public static final ReportType INFO
Information about validator progress.

### SUMMARY

public static final ReportType SUMMARY
Summary of previous reports.

### FAILURE

public static final ReportType FAILURE
Unable to perform test (internal error or missing precondition).

## Method Details

### values

public static ReportType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ReportType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getChar

public char getChar()
Returns the single-character identifier for this type.

Returns:
  identifier character

### getName

public String getName()
Returns the human-readable name.

Returns:
  name

### getNames

public String getNames()
Returns plural of human-readable name.

Returns:
  name plural

### getDescription

public String getDescription()
Returns the description text for this type.

Returns:
  description

### forChar

public static ReportType forChar(char chr)
Returns the type instance corresponding to a given character.

Parameters:
  `chr` - case-insensitive character
Returns:
  type for which `type.getChar()==chr`